import { select, csv, scaleLiner, max } from 'd3';
const svg= select ('svg');
const width = + svg.attr('width');
const height = + svg.attr('height');
const render = data => {
  const xScale= scaleLiner();
  .domain([0,max(data, d=>d.RUNS)])
  .range([0, width]);
  svg.selectAll('rect').data(data)
  .enter().append('rect')
  .attr('width', 300)
  .attr('height', 300)
};
csv('data.csv').then(data => {
  data.forEach(d => {
    d.RUNS = +d.RUNS;
  });
  render(data);
});
